Page MenuHomePhabricator

MinervaNeue wdio build fails with PHP error from Wikibase "Failed to map interlanguage prefix es to a global site ID."
Closed, ResolvedPublic

Description

The mwselenium-quibble-docker job fails on cucumber features/language.feature:8 # Scenario: Language button test due to:

17:40:25 INFO:backend.DevWebServer:[Wed May 29 15:40:25 2019] 127.0.0.1:33982 [404]: /w/index.php?action=raw&title=Selenium+language+test+page - No such file or directory
17:40:25 INFO:backend.DevWebServer:[Wed May 29 15:40:25 2019] 127.0.0.1:33984 [200]: /api.php?action=query&format=json&meta=tokens&type=csrf
17:40:25 INFO:backend.DevWebServer:[Wed May 29 15:40:25 2019] PHP Notice:  Failed to map interlanguage prefix es to a global site ID. [Called from Wikibase\Client\LangLinkHandler::localLinksToArray in /workspace/src/extensions/Wikibase/client/includes/LangLinkHandler.php at line 299] in /workspace/src/includes/debug/MWDebug.php on line 309
17:40:25 INFO:backend.DevWebServer:[Wed May 29 15:40:25 2019] PHP Notice:  Failed to map interlanguage prefix es to a global site ID. [Called from Wikibase\Client\LangLinkHandler::localLinksToArray in /workspace/src/extensions/Wikibase/client/includes/LangLinkHandler.php at line 299] in /workspace/src/includes/debug/MWDebug.php on line 309
17:40:26 INFO:backend.DevWebServer:[Wed May 29 15:40:26 2019] 127.0.0.1:33986 [200]: /api.php
17:40:26     Given I go to a page that has languages           # features/step_definitions/create_page_api_steps.rb:87
17:40:26       784: unexpected token at '<br />
17:40:26       <b>Notice</b>:  Failed to map interlanguage prefix es to a global site ID. [Called from Wikibase\Client\LangLinkHandler::localLinksToArray in /workspace/src/extensions/Wikibase/client/includes/LangLinkHandler.php at line 299] in <b>/workspace/src/includes/debug/MWDebug.php</b> on line <b>309</b><br />
17:40:26       ' (JSON::ParserError)
17:40:26       ./features/step_definitions/create_page_api_steps.rb:7:in `/^I go to a page that has languages$/'
17:40:26       features/language.feature:9:in `Given I go to a page that has languages'
17:40:26     Then I should see the switch-language page action # features/step_definitions/language_icon_steps.rb:10
17:40:26 
17:40:26   @smoke @integration @en.m.wikipedia.beta.wmflabs.org

Sample jobs:
https://integration.wikimedia.org/ci/job/mwselenium-quibble-docker/13121/consoleFull
https://integration.wikimedia.org/ci/job/mwselenium-quibble-docker/13111/console

Details

Related Gerrit Patches:

Event Timeline

pmiazga created this task.May 29 2019, 4:32 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 29 2019, 4:32 PM
pmiazga renamed this task from mwselenium-quibble-docker] job fails with PHP notice: Failed to map interlanguage prefix es to a global site ID. to mwselenium-quibble-docker job fails with PHP notice: Failed to map interlanguage prefix es to a global site ID..May 29 2019, 4:32 PM
pmiazga added projects: Quibble, Browser-Tests.
pmiazga removed a project: Quibble.
Krinkle renamed this task from mwselenium-quibble-docker job fails with PHP notice: Failed to map interlanguage prefix es to a global site ID. to MinervaNeue wdio test fails with PHP error from Wikibase "Failed to map interlanguage prefix es to a global site ID.".May 29 2019, 8:40 PM
Krinkle triaged this task as Unbreak Now! priority.
Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptMay 29 2019, 8:40 PM
nray added a subscriber: nray.May 30 2019, 5:16 PM
Krinkle renamed this task from MinervaNeue wdio test fails with PHP error from Wikibase "Failed to map interlanguage prefix es to a global site ID." to MinervaNeue wdio build fails with PHP error from Wikibase "Failed to map interlanguage prefix es to a global site ID.".May 30 2019, 8:50 PM

Change 513966 had a related patch set uploaded (by Jdrewniak; owner: Jdrewniak):
[mediawiki/skins/MinervaNeue@master] temporarily disabling failing browser tests for language selector

https://gerrit.wikimedia.org/r/513966

I tried to merge @Jdrewniak's patch which disables the test but it's hitting a timeout which I think is tracked in T220666.

Change 513966 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] temporarily disabling failing browser tests for language selector

https://gerrit.wikimedia.org/r/513966

nray added a comment.Jun 3 2019, 5:29 PM

This test failure has been blocking merging of a bug fix patch I have at https://gerrit.wikimedia.org/r/#/c/mediawiki/skins/MinervaNeue/+/510090/

Tarrow lowered the priority of this task from Unbreak Now! to High.Jun 11 2019, 8:26 AM
Tarrow added a subscriber: Tarrow.

Downgraded to high since it seems the shared build is at least un-broken now

We are having difficulties with reproducing it locally (just with Minerva, Ruby tests for other extensions do run locally) could anyone advise regarding the setup you use for it? (Maybe @pmiazga or @Niedzielski ?)

@noarave, did you revert I4dbc3c5355f795adfb162b4a1a649440e0f36ca0 before trying to repro? /cc @Jdrewniak

@Niedzielski Yes. it's not that we are unable to encounter any error, more like our normal Ruby browser tests setup does not work in case of Minerva and we cannot get any Ruby tests running.

Change 516774 had a related patch set uploaded (by Niedzielski; owner: Niedzielski):
[mediawiki/skins/MinervaNeue@master] Revert "temporarily disabling failing browser tests for language selector"

https://gerrit.wikimedia.org/r/516774

Niedzielski closed this task as Resolved.EditedJun 13 2019, 3:39 PM
Niedzielski assigned this task to noarave.

@noarave, we normally use Quibble running the tests locally. However, since we can no longer reproduce the issue, I think this task can be closed.

Restricted Application added a project: User-Noarave. · View Herald TranscriptJun 13 2019, 3:39 PM

Change 516774 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Revert "temporarily disabling failing browser tests for language selector"

https://gerrit.wikimedia.org/r/516774

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:06 PM